### Hierarchy

- MarkedOptions

## Index

### Properties

- baseUrl
- breaks
- gfm
- headerIds
- headerPrefix
- langPrefix
- mangle
- pedantic
- renderer
- sanitize
- silent
- smartLists
- smartypants
- tables
- xhtml

### Methods

- highlight
- sanitizer

## Properties

### Optional baseUrl

baseUrl: undefined | string

- Defined in node_modules/@types/marked/index.d.ts:208

A prefix URL for any relative link.

### Optional breaks

breaks: undefined | false | true

- Defined in node_modules/@types/marked/index.d.ts:213

Enable GFM line breaks. This option requires the gfm option to be true.

### Optional gfm

gfm: undefined | false | true

- Defined in node_modules/@types/marked/index.d.ts:218

Enable GitHub flavored markdown.

### Optional headerIds

headerIds: undefined | false | true

- Defined in node_modules/@types/marked/index.d.ts:223

Include an id attribute when emitting headings.

### Optional headerPrefix

headerPrefix: undefined | string

- Defined in node_modules/@types/marked/index.d.ts:228

Set the prefix for header tag ids.

### Optional langPrefix

langPrefix: undefined | string

- Defined in node_modules/@types/marked/index.d.ts:238

Set the prefix for code block classes.

### Optional mangle

mangle: undefined | false | true

- Defined in node_modules/@types/marked/index.d.ts:243

Mangle autolinks (email@domain.com).

### Optional pedantic

pedantic: undefined | false | true

- Defined in node_modules/@types/marked/index.d.ts:248

Conform to obscure parts of markdown.pl as much as possible. Don't fix any of the original markdown bugs or poor behavior.

### Optional renderer

renderer: Renderer

- Defined in node_modules/@types/marked/index.d.ts:255

Type: object Default: new Renderer()

An object containing functions to render tokens to HTML.

### Optional sanitize

sanitize: undefined | false | true

- Defined in node_modules/@types/marked/index.d.ts:260

Sanitize the output. Ignore any HTML that has been input.

### Optional silent

silent: undefined | false | true

- Defined in node_modules/@types/marked/index.d.ts:270

Shows an HTML error message when rendering fails.

### Optional smartLists

smartLists: undefined | false | true

- Defined in node_modules/@types/marked/index.d.ts:275

Use smarter list behavior than the original markdown. May eventually be default with the old behavior moved into pedantic.

### Optional smartypants

smartypants: undefined | false | true

- Defined in node_modules/@types/marked/index.d.ts:280

Use "smart" typograhic punctuation for things like quotes and dashes.

### Optional tables

tables: undefined | false | true

- Defined in node_modules/@types/marked/index.d.ts:285

Enable GFM tables. This option requires the gfm option to be true.

### Optional xhtml

xhtml: undefined | false | true

- Defined in node_modules/@types/marked/index.d.ts:290

Generate closing slash for self-closing tags (
instead of
)

## Methods

### Optional highlight

- highlight(code: string, lang: string, callback?: undefined | function): string

- - Defined in node_modules/@types/marked/index.d.ts:233

  A function to highlight code blocks. The function takes three arguments: code, lang, and callback.

  #### Parameters

  - ##### code: string

  - ##### lang: string

  - ##### Optional callback: undefined | function

  #### Returns string

### Optional sanitizer

- sanitizer(html: string): string

- - Defined in node_modules/@types/marked/index.d.ts:265

  Optionally sanitize found HTML with a sanitizer function.

  #### Parameters

  - ##### html: string

  #### Returns string

Generated using TypeDoc